Subject: Re: [PATCH v2] arm64: dts: rockchip: add rk3399 UART DMAs

From: Heiko Stuebner <[email-masked]>
Date: Thu, 11 Apr 2019 14:46:15 +0200

Hi Robin,

Am Samstag, 30. März 2019, 00:24:16 CEST schrieb Robin Murphy:
> On 2019-03-27 12:00 pm, Heiko Stuebner wrote:
> > Hi,
> > 
> > Am Dienstag, 26. März 2019, 14:49:16 CET schrieb Katsuhiro Suzuki:
> >> Hello Robin,
> >>
> >> Sorry for inconvenience. Since I don't adhere enabling DMA for UARTs,
> >> please revert my patch if you need.
> > 
> > I've dropped the patch from my queue now.
> > 
> >> BTW, there are DMA properties in RK3328 device-tree like as this patch.
> >> RK3328 UART DMA could not work correctly too...??
> > 
> > I remember Rockcihip dma-controllers having issues with burst-sizes
> > and flushing (there is a no-flushp option in pl330), so it's
> > possible that all share the same error up to rk3399 and rk3328
> > 
> > But so far no-one has shouted regarding the rk3328.
> 
> Let me be the first, then, I guess :)
> 
> I found an easy way to observe the problem on my 3399, and I've just 
> fired up my 3328 box with a 5.0 distro kernel to find that it behaves 
> the same. Basically just dump a large pile of text into 'less' on the 
> serial console, and scroll through line-by-line - certain lines get 
> dropped except for a few characters at the end.
> 
> I'll see if I can narrow it down a bit, starting with trying 
> broken-flushp...

did you manage to find time for that test you wanted to do?

Heiko

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel